Simulation

Simulate approve provisioning

POST/simulate/issuing/cards/tokens/{card_token_id}/approve-provisioning

Simulate a digital wallet's provisioning request for a card token in pending_activation status, as returned by the token eligibility check. Set wallet_type to apple_pay, google_pay, or samsung_pay to attribute the token to a wallet.

Set action_code to approve, decline, or step_up to force the decision without calling your decision.issuing.card_token endpoint. When it is omitted, the decision flows through Column's real provisioning decisioning, including that endpoint. A step_up decision also simulates the step-up methods and send passcode callbacks when the cardholder has contact info on file, leaving the token ready for step-up completion.

Path Parameters

card_token_id

stringRequired

Unique identifier for the card token.

Body Parameters

action_code

stringOptional

Network-specific action code to apply to the provisioning decision.

device_name

stringOptional

A human-readable identifier for the device requesting provisioning.

device_type

enumOptional

The category of device requesting provisioning. Possible values: mobile_phone, tablet, watch

token_requestor_name

stringOptional

Name of the entity that initiated the provisioning request.

token_type

stringOptional

The type of payment token being provisioned.

wallet_type

stringOptional

The wallet provider (e.g. apple_pay, google_pay).